import { type ReactNode, type SyntheticEvent } from 'react';
declare const getDefaultParentSelector: () => HTMLElement;
type Props = {
    isOpen: boolean;
    onClose?: (event: SyntheticEvent) => void;
    size?: 'm' | 'l' | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 16 | 'scale';
    zIndex?: number;
    title: ReactNode;
    'aria-label'?: string;
    children: ReactNode;
    getParentSelector?: typeof getDefaultParentSelector;
};
declare const DialogContainer: {
    ({ size, getParentSelector, ...props }: Props): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default DialogContainer;
