import { type ReactElement } from 'react';
type TTitleSize = 'big' | 'medium' | 'small';
type Props = {
    title: string;
    titleSize?: TTitleSize;
    truncate?: boolean;
    subtitle?: string | ReactElement;
    children?: never;
};
declare const PageHeaderTitle: {
    ({ titleSize, truncate, ...props }: Props): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default PageHeaderTitle;
