import type { ReactElement, ReactNode } from 'react';
type Props = {
    title: string;
    subtitle?: string | ReactElement;
    /**
     * This code is used to configure which Custom Views are available for this page.
     */
    customViewLocatorCode?: string;
    children?: ReactNode;
};
declare const PageHeader: {
    (props: Props): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default PageHeader;
