import type { MouseEvent, KeyboardEvent, ReactNode } from 'react';
type MessageDescriptor = {
    id: string;
    description?: string | object;
    defaultMessage?: string;
    values?: Record<string, ReactNode>;
};
type Label = string | MessageDescriptor;
type Props = {
    color?: 'surface' | 'neutral';
    previousPathLabel?: Label;
    onClick: (event: MouseEvent<HTMLButtonElement> | KeyboardEvent<HTMLButtonElement>) => void;
    children?: never;
};
declare const PageTopBar: {
    ({ color, previousPathLabel, ...props }: Props): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default PageTopBar;
