export declare const themesOverrides: {
    default: {
        marginForCustomViewsSelectorAsTabular: string;
        marginForPageContent: string;
        paddingForDetailPageHeader: string;
        paddingForMainPageHeader: string;
        paddingForTabularPageHeader: string;
        backgroundColorForNavbar: "var(--color-primary-10, hsl(240, 66%, 19%))";
        backgroundColorForNavbarHeader: "var(--color-primary-10, hsl(240, 66%, 19%))";
        fontColorForTabLabelWhenActive: "var(--color-primary, hsl(240, 64%, 58%))";
    };
};
export declare const designTokens: Record<"marginForCustomViewsSelectorAsTabular" | "marginForPageContent" | "paddingForDetailPageHeader" | "paddingForMainPageHeader" | "paddingForTabularPageHeader" | "backgroundColorForNavbar" | "backgroundColorForNavbarHeader" | "fontColorForTabLabelWhenActive", string>;
