import type { ReactNode, SyntheticEvent } from 'react';
export type TInfoDialogProps = {
    isOpen: boolean;
    onClose?: (event: SyntheticEvent) => void;
    size?: 'm' | 'l' | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 16 | 'scale';
    zIndex?: number;
    title: ReactNode;
    'aria-label'?: string;
    children: ReactNode;
    getParentSelector?: () => HTMLElement;
};
declare const InfoDialog: {
    (props: TInfoDialogProps): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
    TextTitle: (props: {
        title: string;
    }) => import("@emotion/react/jsx-runtime").JSX.Element;
};
export default InfoDialog;
