/// <reference types="react" />
import type { TModalPageSize } from './modal-page';
export declare const stylesBySize: {
    '10': {
        width: string;
        transitionTime: number;
    };
    '20': {
        width: string;
        transitionTime: number;
    };
    '30': {
        width: string;
        transitionTime: number;
    };
    scale: {
        width: string;
        transitionTime: number;
    };
};
export declare const ModalOverlay: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    size: TModalPageSize;
    zIndex?: number | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const ModalContent: import("@emotion/styled").StyledComponent<import("@radix-ui/react-dialog").DialogContentProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    size: TModalPageSize;
}, {}, {}>;
