import { type SyntheticEvent, type ReactElement } from 'react';
import { type TSecondaryButtonIconProps } from '@commercetools-uikit/secondary-icon-button';
type TLargeIconWrapperProps = {
    children: ReactElement<TLargeIconWrapperProps>;
    size?: TSecondaryButtonIconProps['size'];
};
export declare const LargeIconWrapper: (props: TLargeIconWrapperProps) => import("@emotion/react/jsx-runtime").JSX.Element;
type MessageDescriptor = {
    id: string;
    description?: string | object;
    defaultMessage?: string;
};
type Label = string | MessageDescriptor;
type Props = {
    color?: 'surface' | 'neutral';
    currentPathLabel?: string;
    previousPathLabel?: Label;
    hidePathLabel?: boolean;
    onClose: (event: SyntheticEvent) => void;
    children?: never;
};
declare const ModalPageTopBar: {
    ({ color, previousPathLabel, hidePathLabel, ...props }: Props): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
};
export default ModalPageTopBar;
